import { UmbTiptapToolbarActionButtonApiBase } from '../tiptap-toolbar-action-button-api-base.js';
export default class UmbTiptapToolbarUndoExtensionApi extends UmbTiptapToolbarActionButtonApiBase {
    constructor() {
        super(...arguments);
        this.isActive = (editor) => editor?.can().undo() === true;
    }
    execute(editor) {
        editor?.chain().focus().undo().run();
    }
}
